const response = await fetch("https://payments.shakesco.com/has_paid", {
method: "POST",
headers: {
Authorization: `Bearer ${API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
delegate_address: "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
auto_address: "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
network: "137",
}),
});
const { has_paid } = await response.json();
if (has_paid === "true") {
// Grant service access
}
import requests
response = requests.post(
"https://payments.shakesco.com/has_paid",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json"
},
json={
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"auto_address": "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
"network": "137"
}
)
data = response.json()
if data["has_paid"] == "true":
# Grant service access
pass
{
"id": 1,
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"has_paid": "true"
}
{
"id": 1,
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"has_paid": "false"
}
Auto-Payments API (Beta)
Check Payment Status
Verify if user has made payment
POST
/
has_paid
const response = await fetch("https://payments.shakesco.com/has_paid", {
method: "POST",
headers: {
Authorization: `Bearer ${API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
delegate_address: "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
auto_address: "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
network: "137",
}),
});
const { has_paid } = await response.json();
if (has_paid === "true") {
// Grant service access
}
import requests
response = requests.post(
"https://payments.shakesco.com/has_paid",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json"
},
json={
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"auto_address": "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
"network": "137"
}
)
data = response.json()
if data["has_paid"] == "true":
# Grant service access
pass
{
"id": 1,
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"has_paid": "true"
}
{
"id": 1,
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"has_paid": "false"
}
For the complete documentation index, see llms.txt.
Check payment status before granting service access. This is your primary verification method.
Always check payment status before delivering service. This prevents
unauthorized access.
Request Body
string
required
User’s Shakesco or Business card address
string
required
Your Business Auto account address
string
required
1= Ethereum -137= Polygon
Response
integer
Request ID
string
Checked address
string
true= Payment received -false= No payment
const response = await fetch("https://payments.shakesco.com/has_paid", {
method: "POST",
headers: {
Authorization: `Bearer ${API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
delegate_address: "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
auto_address: "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
network: "137",
}),
});
const { has_paid } = await response.json();
if (has_paid === "true") {
// Grant service access
}
import requests
response = requests.post(
"https://payments.shakesco.com/has_paid",
headers={
"Authorization": f"Bearer {API_KEY}",
"Content-Type": "application/json"
},
json={
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"auto_address": "0x309E7d835ccE6E74BC72A2E523fa7f79FFC0d413",
"network": "137"
}
)
data = response.json()
if data["has_paid"] == "true":
# Grant service access
pass
{
"id": 1,
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"has_paid": "true"
}
{
"id": 1,
"delegate_address": "0xB808ff0E0F4fC24D0cECeED6014f04ecE5bfca36",
"has_paid": "false"
}
For split payments, only check the group leader’s address. Other participants
will return
false.⌘I